LMS Browser Compatibility

The LMS is optimized for use with Internet Explorer 9+, though Internet Explorer 11 provides the best experience. It is important for users to understand environment settings could have a negative effect on their learning experience. 

We suggest the following configuration:

  • Internet Explorer 11
  • JavaScript enabled
  • Cookies enabled
  • Flash (current version)
  • Acrobat Reader (current version)
  • Popup blocker disabled
  • Wired connection
  • Default Internet Security settings (medium)

Internet connection

When a course is launched, the LMS depends on a consistent connection to the course. If an internet connection is interrupted, even for a split second, the course will no longer be able to communicate status information back to the platform. This includes completion status, quiz scores, booking marking data, etc.

Further, the user must have a direct internet connection that does not go through a VPN or firewall that blocks the course from communicating to the LMS. Most firewalls will not block communication with the LMS.

Other Browsers

Chrome and Firefox are unofficially supported:

  • Chrome is the preferred alternative to Internet Explorer. It generally works very well for learners and administrators.
  • Firefox works well for learners. Firefox is not recommended for the administration of the LMS. Further, due to the open-source nature of Firefox, video compatibility depends on a third-party decoder for courses with MPEG format videos ether linked or embedded.
  • Safari is not recommended. Although most courses will run successfully, issues are more likely than in other browsers (for example, assessments may not be tracked correctly). As a workaround, Chrome for Mac OS (free) is HIGHLY recommended instead of using Safari.
Have more questions? Submit a request

Comments

Powered by Zendesk